import React from 'react';
export declare const defaultZIndex = 9999;
interface ZIndexConfig {
    initialValue?: number;
}
interface ZIndexApi {
    increment: () => void;
    value: number;
}
interface Props extends ZIndexConfig {
    children?: React.ReactNode;
}
interface RenderProps extends ZIndexConfig {
    children: (props: ZIndexApi) => {};
}
export declare function useZIndex({ initialValue, }: ZIndexConfig): ZIndexApi;
/**
 * @deprecatedSince 11
 * @deprecated Please use hooks instead
 */
export declare function ZIndex({ children, ...props }: RenderProps): {};
export declare const ZIndexContext: React.Context<ZIndexApi>;
export declare function ZIndexProvider({ children, ...props }: Props): React.JSX.Element;
export declare function useZIndexContext(): ZIndexApi;
export {};
